Scrum - Defect #847

Calendar shows 500 after install
2014-08-03 12:52 - James Netherwood

Status: Resolved

Priority: High

Category: General

Target version: Scrum v0.9.1

Source: Specification Blocked:
Detected on version: Scrum v0.7.0 Alone:
Description

Shows error 500 after install. Maybe conflict on databse

Subtasks:

To do # 941: Change Sprint dates column names Resolved
Related issues:
Is duplicate of Scrum - Defect #900: Calendar does not display for scrum 0.7.... Rejected
Is duplicate of Scrum - Defect #903: start date and due date are shown as li... Rejected
Is duplicate of Scrum - Defect #932: When | installed scrum, calendar page sh... Rejected
History
#1 - 2014-09-02 22:46 - Francisco Bischoff
+1
#2 - 2014-09-10 11:31 - Jurgen Schreier
+1
Environment:
Redmine version 2.5.2.stable.13366
Ruby version 2.0.0-p481 (2014-05-08) [x86_64-linux]
Rails version 3.2.19
Environment production
Database adapter Mysql2
SCM:
Subversion 1.8.8
Git 1.9.1
Filesystem
#3 - 2014-09-17 08:31 - giovafr giovafr
+1
Feel free to ask if you need any details.
#4 - 2015-01-22 12:29 - Stanislas Dourdin
Hi guys, there are 3 issues describing this problem (#932, #900, and this one).
| decided to post my complete solution here because it is the oldest issue.
Source of the problem
| use scrum version 8.0.0
As the log says, Column 'start_date' in where clause is ambiguous
The column start_date is defined in table sprints but also in the core table of Redmine.
Summarized solution
1. renaming the ambiguous columns
2. refer to the new name in scrum plugin's code
https://redmine.ociotec.com/issues/932
https://redmine.ociotec.com/issues/900

Detailed solution (I assume you use MySQL)

. Connect to your database : mysql --user=<mysq|_user> --password=<mysqgl_password> <database_name>

. Rename start_date column : ALTER TABLE sprints CHANGE start_date sprint_start_date date;

. Rename end_date column (it is ambiguous too) : ALTER TABLE sprints CHANGE end_date sprint_end_date date;

. Exit MySQL and go to your plugin's scrum directory : cd /<path_to_redmine/plugins/scrum/db/migrate

. Edit the file 20130815170700_create_sprints.rb (the name may depend on your installation, look for *_create_sprints.rb)
. Rename start_date and end_date for sprint_start_date and sprint_end_date

. Reinstall the plugin : rake redmine:plugins:migrate RAILS_ENV=production

. Restart your redmine : /etc/init.d/apache2 restart

ONO O~ OND =

Enjoy :)

Note : as | don't know how to develop in Ruby and don't have time to learn so | don't give a solution where the "migrate” script would do that

automatically.
Now the solution is released | am pretty sure, that someone could create a patch that could rename the columns.

#5 - 2015-01-22 12:55 - Stanislas Dourdin

| use scrum version 8.0.0

| meant 0.8.0 off course.

#6 - 2015-01-22 17:01 - Stanislas Dourdin

Sorry,

| totally forgot to tell to modify the occurences of start_date in the plugin's code.

It appears heavier than just modify the core CalendarController of Redmine (as suggested here :

https://redmine.ociotec.com/boards/11/topics/153?r=175#message-175) but | think it is more sustainable to modify the plugin's code.

Plugins should adapt to core, not the reverse.

#7 - 2015-01-23 03:08 - an li

7 files needs to update, replace the default start_date, end_date to new names consistent with the fields in database:

\htdocs\plugins\scrum\app\controllers\sprints_controller.rb
\htdocs\plugins\scrum\app\models\sprint.rb
\htdocs\plugins\scrum\app\views\post_its\sprint_board\ _head.html.erb
\htdocs\plugins\scrum\app\views\projects\settings\ sprints.html.erb
\htdocs\plugins\scrum\app\views\sprints\_form.html.erb
\htdocs\plugins\scrum\app\views\sprints\edit_effort.html.erb
\htdocs\plugins\scrum\lib\scrum\project_patch.rb (2 hits)

then migrate the database and restart redmine, calendar can be available!

#8 - 2015-01-23 08:09 - Stanislas Dourdin

Thanks for the details.

Can you confirm that your Scrum plugin continues to work as before your modifications ?
#9 - 2015-01-23 09:04 - Emilio Gonzalez Montaina

- Target version set to Scrum v0.9.1

- Sprint set to Sprint 15

#10 - 2015-01-23 16:06 - Emilio Gonzalez Montana
- Tracker changed from User story to Defect
- Source set to Specification

- Detected on version set to Scrum v0.7.0

#11 - 2015-01-23 19:52 - Emilio Gonzalez Montaia

- Status changed from New to Resolved

#12 - 2015-01-23 19:53 - Emilio Gonzalez Montafia
https://redmine.ociotec.com/boards/11/topics/153?r=175#message-175

- Is duplicate of Defect #900: Calendar does not display for scrum 0.7.1 & 0.7.0--500 internal error added

#13 - 2015-01-23 19:53 - Emilio Gonzalez Montafa
- Is duplicate of Defect #903: start date and due date are shown as list or blank added

#14 - 2015-01-23 19:54 - Emilio Gonzalez Montafa
- Is duplicate of Defect #932: When | installed scrum, calendar page show 500 error added

#15 - 2015-01-23 21:44 - Stanislas Dourdin

Thanks for your reactivity :)

#16 - 2015-01-23 23:47 - Cori Hsu

Hello, Scurm 0.9.1 not in file list ... Thanks

#17 - 2015-01-24 00:16 - Stanislas Dourdin

It will be release soon.
They will probably add other changes.

#18 - 2015-01-24 02:53 - Lin Ye
- File patch for scrum v0.9.0.zip added

With following author's indications, | fixed it by myself. And | tanslate it by myself.
| submit the path, | hope it could help.

#19 - 2015-01-26 09:06 - an li

a questionll\apps\redmine\htdocs\plugins\scrum\app\views\post_its\sprint_board\_head.html.erb
there are 2 lines:
about filed_start_date, what is it used for? Does it need to modify to filed_sprint_start_date?

&lt;label&gt; <%= 1 (:field_start_date) >:&lt;/label&gt;
<= format_date sprint.sprint_start_date %>

#20 - 2015-01-26 09:14 - an li
Update these plugin files:

\apps\redmine\htdocs\plugins\scrum\app\controllers\sprints_controller.rb
\apps\redmine\htdocs\plugins\scrum\app\models\sprint.rb
\apps\redmine\htdocs\plugins\scrum\app\views\post_its\sprint_board\_head.html.erb
\apps\redmine\htdocs\plugins\scrum\app\views\projects\settings\_sprints.html.erb
\apps\redmine\htdocs\plugins\scrum\app\views\sprints\_form.html.erb
\apps\redmine\htdocs\plugins\scrum\app\views\sprints\edit_effort.html.erb
\apps\redmine\htdocs\plugins\scrum\db\migrate\20130815170700_create_sprints.rb
\apps\redmine\htdocs\plugins\scrum\lib\scrum\project_patch.rb

| confirm scrum working well now.

#21 - 2015-01-26 09:26 - an li

- File sprint left issue.png added

- File scrum modification files.zip added
| tested 2 left issues:

I can create sprint from project setting-sprint,but now for the rename,missing translation and cannot select s
print start date and end date only can input.
Please see the attached picture which indicates the issues and | attach my modifications on the plug-in, | am not sure if | missed sth. to modify, pls
help with the issues.

#22 - 2015-01-26 09:55 - an li

1. About translation | modified en.hml, it is fixed, but why the sprint start date and end date cannot be selected?
2. | checked the patch above, in _form.html.erb, | think there missed 2 lines to change, correct lines are:

&lt;p&gt;
<%= f.text_field :sprint_start_date, :size => 10, :required => true >
<= calendar_for "sprint_start_date" >
&1lt; /ps&at;
&1lt;p&gt;
<= f.text_field :sprint_end_date, :size => 10, :required => true >
<= calendar_for "sprint_end_date" %>

#23 - 2015-01-26 11:06 - an li

a questionl\apps\redmine\htdocs\plugins\scrum\app\views\post_its\sprint_board\_head.html.erb
there are 2 lines:
about filed_start_date, what is it used for? Does it need to modify to filed_sprint_start_date?

&lt;label&agt; <%= 1 (:field_start_date) >:&lt;/label&gt;
<= format_date sprint.sprint_start_date %>

#24 - 2015-04-26 11:29 - Emilio Gonzalez Montaia

- Category set to General

Files

patch for scrum v0.9.0.zip 16.1 KB 2015-01-24 Lin Ye
sprint left issue.png 47.7 KB 2015-01-26 an li
scrum modification files.zip 6.45 KB 2015-01-26 an li
